com.sleepycat.db

## Class DeadlockException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.sleepycat.db.DatabaseException
      - - com.sleepycat.db.DeadlockException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  LockNotGrantedException

    public class DeadlockException
    extends DatabaseException

DeadlockException is thrown to a thread of control when multiple threads competing for a lock are deadlocked, when a lock request has timed out or when a lock request would need to block and the transaction has been configured to not wait for locks.

See Also:
  Serialized Form

### Method Summary

### Methods inherited from class com.sleepycat.db.DatabaseException

`getEnvironment, getErrno, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`